<template>
	<block><u-select :value="value" mode="mutil-column-auto" :list="list" @confirm="confirm" @cancel="cancel"></u-select></block>
</template>

<script>
export default {
	model: {
		prop: 'value',
		event: 'change'
	},
	props: {
		value: {
			type: Boolean,
			default: false
		}
	},
	data() {
		return {
			list: []
		};
	},
	created() {},
	methods: {
		confirm(val) {
			this.cancel();
			this.$emit('confirm', val);
		},
		cancel(val) {
			this.$emit('cancel', val);
		}
	}
};
</script>

<style></style>
